Monitor KPIs
You can retrieve KPIs for individual Media Flow Engines (MFEs) on port 9090.
URL Syntax
For a GET:
http://<MFE IP address>:9090/metricsHTTP Methods
- GET
Parameters
The following parameters are returned in the response body.
| Parameter | Description |
|---|---|
| activeSessionCount | The number of active sessions |
| deletedSessionCount | The total number of deleted sessions |
| errorSessionCount | The total number of events that encountered an error |
| apiFailedCount | The number of failures for all CREATE, DEACTIVATE, and MODIFY methods. |
| errorSessionExists | Whether an error session exists at the current moment |
| peakStreams | The maximum value among the activeSessionCount over the past 30 seconds |
Examples
Example 17-89 Get the KPIs
curl http://10.0.0.5:9090/metricsExample response:
{
"hostname": "10.0.0.5",
"httpPort": 8080,
"metricsPort": 9090,
"status": "UP",
"timestamp": 1770813684142,
"metrics": {
"systemMetrics": {
"cpuUsagePercent": 1.61,
"memoryUsagePercent": 24.0
},
"mediaMetrics": {
"activeSessionCount": 0,
"deletedSessionCount": 0,
"errorSessionCount": 0,
"apiFailedCount": 0,
"errorSessionExists": false,
"peakStreams": 0
}
}
}